/*
 * @Author: your name
 * @Date: 2021-09-18 15:19:29
 * @LastEditTime: 2021-09-27 16:38:49
 * @LastEditors: Please set LastEditors
 * @Description: 筛选条件的 formItems 和 propFormData
 * @FilePath: \hyyfClient\src\views\BioSafety\personAdmin\queryCondition.config.js
 */
const formItems1 = [
  {
    type: 'input',
    label: '输入搜索：',
    placeholder: '请输入姓名',
    field: 'name'
  },
  {
    type: 'select',
    label: '职务：',
    placeholder: '请选择职务',
    field: 'role',
    options: []
  },
  {
    type: 'select',
    label: '区域：',
    placeholder: '请选择区域',
    field: 'region',
    options: []
  }
]

const propFormData1 = {
  name: '',
  role: '',
  region: ''
}

const formItems2 = [
  {
    type: 'input',
    label: '输入搜索：',
    placeholder: '请输入姓名',
    field: 'name'
  },
  {
    type: 'datepicker',
    label: '时间：',
    placeholder: ['开始时间', '结束时间'],
    field: 'time'
  }
]

const propFormData2 = {
  name: '',
  time: []
}

const formItems3 = [
  {
    type: 'input',
    label: '输入搜索：',
    placeholder: '请输入姓名',
    field: 'name'
  },
  {
    type: 'select',
    label: '区域：',
    placeholder: '请选择区域',
    field: 'region',
    options: []
  }
]

const propFormData3 = {
  name: '',
  region: ''
}

export const formItems = [formItems1, formItems2, formItems3]
export const propFormData = [propFormData1, propFormData2, propFormData3]
